Advertisements

Installing older kernel rpm package

Checking kernel version

root@linux:~ # uname -r
2.6.18-407.el5

When you try to install an older kernel, you will receive a message that you already have a newer version of the package already installed

root@linux:~ # rpm -ivh kernel-2.6.18-348.el5.x86_64.rpm
Preparing… ########################################### [100%]
package kernel-2.6.18-407.el5.x86_64 (which is newer than kernel-2.6.18-348.el5.x86_64) is already installed

Run with –oldpackage to install the old kernel

root@linux:~ # rpm -ivh –oldpackage kernel-2.6.18-348.el5.x86_64.rpm

Advertisements
%d bloggers like this: